ApplicationSessionCookieConfig (Apache Tomcat 9.0.111 API Documentation)
Description: declaration: package: org.apache.catalina.core, class: ApplicationSessionCookieConfig

# Class ApplicationSessionCookieConfig

java.lang.Object
org.apache.catalina.core.ApplicationSessionCookieConfig

All Implemented Interfaces:
  `SessionCookieConfig`

public class ApplicationSessionCookieConfig extends Object implements SessionCookieConfig

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ApplicationSessionCookieConfig(StandardContext context)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Cookie`
  `createSessionCookie(Context context, String sessionId, boolean secure)`
  Creates a new session cookie for the given session ID
  `String`
  `getComment()`
  Obtain the comment to use for session cookies.
  `String`
  `getDomain()`
  Obtain the domain to use for session cookies.
  `int`
  `getMaxAge()`
  Obtain the maximum age to set for a session cookie.
  `String`
  `getName()`
  Obtain the name to use for the session cookies.
  `String`
  `getPath()`
  Obtain the path to use for session cookies.
  `boolean`
  `isHttpOnly()`
  Will session cookies be created with the httpOnly flag set?
  `boolean`
  `isSecure()`
  Will session cookies be created with the secure flag set?
  `void`
  `setComment(String comment)`
  Sets the comment for the session cookie
  `void`
  `setDomain(String domain)`
  Sets the domain for the session cookie
  `void`
  `setHttpOnly(boolean httpOnly)`
  Sets the httpOnly flag for the session cookie.
  `void`
  `setMaxAge(int maxAge)`
  Sets the maximum age.
  `void`
  `setName(String name)`
  Sets the session cookie name.
  `void`
  `setPath(String path)`
  Sets the path of the session cookie.
  `void`
  `setSecure(boolean secure)`
  Sets the secure flag for the session cookie.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ApplicationSessionCookieConfig

    public ApplicationSessionCookieConfig(StandardContext context)

- ## Method Details

  - ### getComment

    public String getComment()
    Description copied from interface: `javax.servlet.SessionCookieConfig`
    Obtain the comment to use for session cookies.
    Specified by:
      `getComment` in interface `SessionCookieConfig`
    Returns:
      the comment to use for session cookies.

  - ### getDomain

    public String getDomain()
    Description copied from interface: `javax.servlet.SessionCookieConfig`
    Obtain the domain to use for session cookies.
    Specified by:
      `getDomain` in interface `SessionCookieConfig`
    Returns:
      the domain to use for session cookies.

  - ### getMaxAge

    public int getMaxAge()
    Description copied from interface: `javax.servlet.SessionCookieConfig`
    Obtain the maximum age to set for a session cookie.
    Specified by:
      `getMaxAge` in interface `SessionCookieConfig`
    Returns:
      the maximum age in seconds

  - ### getName

    public String getName()
    Description copied from interface: `javax.servlet.SessionCookieConfig`
    Obtain the name to use for the session cookies.
    Specified by:
      `getName` in interface `SessionCookieConfig`
    Returns:
      the name to use for session cookies.

  - ### getPath

    public String getPath()
    Description copied from interface: `javax.servlet.SessionCookieConfig`
    Obtain the path to use for session cookies. This is normally the context path.
    Specified by:
      `getPath` in interface `SessionCookieConfig`
    Returns:
      The path to use for session cookies.

  - ### isHttpOnly

    public boolean isHttpOnly()
    Description copied from interface: `javax.servlet.SessionCookieConfig`
    Will session cookies be created with the httpOnly flag set?
    Specified by:
      `isHttpOnly` in interface `SessionCookieConfig`
    Returns:
      `true` if the flag should be set, otherwise `false`

  - ### isSecure

    public boolean isSecure()
    Description copied from interface: `javax.servlet.SessionCookieConfig`
    Will session cookies be created with the secure flag set?
    Specified by:
      `isSecure` in interface `SessionCookieConfig`
    Returns:
      `true` if the flag should be set, otherwise `false`

  - ### setComment

    public void setComment(String comment)
    Description copied from interface: `javax.servlet.SessionCookieConfig`
    Sets the comment for the session cookie
    Specified by:
      `setComment` in interface `SessionCookieConfig`
    Parameters:
      `comment` - The session cookie comment

  - ### setDomain

    public void setDomain(String domain)
    Description copied from interface: `javax.servlet.SessionCookieConfig`
    Sets the domain for the session cookie
    Specified by:
      `setDomain` in interface `SessionCookieConfig`
    Parameters:
      `domain` - The session cookie domain

  - ### setHttpOnly

    public void setHttpOnly(boolean httpOnly)
    Description copied from interface: `javax.servlet.SessionCookieConfig`
    Sets the httpOnly flag for the session cookie.
    Specified by:
      `setHttpOnly` in interface `SessionCookieConfig`
    Parameters:
      `httpOnly` - The httpOnly setting to use for session cookies

  - ### setMaxAge

    public void setMaxAge(int maxAge)
    Description copied from interface: `javax.servlet.SessionCookieConfig`
    Sets the maximum age.
    Specified by:
      `setMaxAge` in interface `SessionCookieConfig`
    Parameters:
      `maxAge` - the maximum age to set

  - ### setName

    public void setName(String name)
    Description copied from interface: `javax.servlet.SessionCookieConfig`
    Sets the session cookie name.
    Specified by:
      `setName` in interface `SessionCookieConfig`
    Parameters:
      `name` - The name of the session cookie

  - ### setPath

    public void setPath(String path)
    Description copied from interface: `javax.servlet.SessionCookieConfig`
    Sets the path of the session cookie.
    Specified by:
      `setPath` in interface `SessionCookieConfig`
    Parameters:
      `path` - The session cookie path

  - ### setSecure

    public void setSecure(boolean secure)
    Description copied from interface: `javax.servlet.SessionCookieConfig`
    Sets the secure flag for the session cookie.
    Specified by:
      `setSecure` in interface `SessionCookieConfig`
    Parameters:
      `secure` - The secure setting to use for session cookies

  - ### createSessionCookie

    public static Cookie createSessionCookie(Context context, String sessionId, boolean secure)
    Creates a new session cookie for the given session ID
    Parameters:
      `context` - The Context for the web application
      `sessionId` - The ID of the session for which the cookie will be created
      `secure` - Should session cookie be configured as secure
    Returns:
      the cookie for the session